Bug 859690 - [F17 - OLPC XO-1.75] After update from yum, Wi-fi is connected, but has not got Internet connection
[F17 - OLPC XO-1.75] After update from yum, Wi-fi is connected, but has not g...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
arm7 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 05:47 EDT by Álvaro Castillo
Modified: 2012-10-21 05:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-19 07:40:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages file (71.69 KB, application/octet-stream)
2012-10-17 10:15 EDT, Álvaro Castillo
no flags Details

  None (edit)
Description Álvaro Castillo 2012-09-23 05:47:47 EDT
Description of problem:
Network manager has got OLPC for GNOME 3. When I upgrade my OLPC version from 11.* to 12.1.0 I was connected on some Wi-fi and all OK. However, after upgrade software from yum. I am connected on Wi-Fi but, I have not got an Internet connection.

Version-Release number of selected component (if applicable):
F17 - OLPC XO-1.75

Network Manager version: 0.9.4.0-9.git2 @koji.dist...

Uname -a: Linux xo-74-33-76.localdomain 3.0.19_xo1.75-20120803.1234.olpc.f49cd50 #1 PREEMPT Fri Aug 3 12:44:10 EDT 2012 armv7l armv7l armv7l GNU/Linux

Steps to Reproduce:

1. Clic on connection icons (I guess NM-applet)
2. Select wifi network to connect. 
3. Connect it. Open browser

Additional info:

How to solve? You need run # dhclient eth0 to get IP address and surf on the net.
Comment 1 Álvaro Castillo 2012-09-23 05:49:18 EDT
"Additional info:

How to solve? You need run # dhclient eth0 to get IP address and surf on the net."

P.S: Always that you change Wi-Fi net, you need run these command.
Comment 2 Jirka Klimes 2012-10-16 03:58:09 EDT
Would you run these command in a terminal after you connected to the Wi-Fi and attach their output here (but before running dhclient):
$ nmcli dev
$ nmcli con s
$ ip a
$ ip route
$ cat /etc/resolv.conf

Also, /var/log/messages file with NetworkManager logs would be helpful.
Comment 3 Álvaro Castillo 2012-10-17 10:13:44 EDT
Yup!

$ nmcli dev
DEVICE      TYPE           STATUS
eth0    802-11-wireless    connected

$ nmcli con s
NAME       UUID           DEVICES  PREDETERMINED VPN   MASTER-PATH
wlan0    0cac.....         eth0      yes          no    not established

$ ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 20:7c:8f:74:33:76 brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.35/24 brd 192.168.1.255 scope global eth0
    inet6 fe80::227c:8fff:fe74:3376/64 scope link 
       valid_lft forever preferred_lft forever

$ ip route 
default via 192.168.1.1 dev eth0  proto static 
192.168.1.0/24 dev eth0  proto kernel  scope link  src 192.168.1.35 

$ cat /etc/resolv.conf
All is commented
Comment 4 Álvaro Castillo 2012-10-17 10:15:00 EDT
Created attachment 628833 [details]
/var/log/messages file
Comment 5 Dan Winship 2012-10-19 07:34:12 EDT
So you have an IP address, you just don't have DNS.

Hm...

Oct 17 13:55:51 xo-74-33-76 NetworkManager[378]: <warn> could not commit DNS changes: (0) Could not replace /etc/resolv.conf: Device or resource busy

though this does not seem to be the same as bug 867432, since /var/log/messages seems to show that selinux is disabled.
Comment 6 Dan Winship 2012-10-19 07:40:02 EDT
http://dev.laptop.org/ticket/12121 suggests that this is in some way caused by using yum to update OLPC packages, which is apparently not supported.
Comment 7 Álvaro Castillo 2012-10-21 05:18:45 EDT
Yes, but I do not understand why maintain packages with yum. :/ . So, if a software is vulnerable, how to patch it without upates? 

However, with 11.* version, you can upgrade your packages in your system and nothing occurs this.

SElinux is disabled by default.

Note You need to log in before you can comment on or make changes to this bug.